<?php
session_start();
$currUser = "";
if (isset($_SESSION["currUser"])) $currUser = $_SESSION["currUser"];
?>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="author"              content="Howard Griffin">
<meta name="viewport"            content="width=device-width, initial-scale=1.0">
<link rel="stylesheet"           type="text/css"     href="hgg_style.css">
<title>Update Reservation Events</title>
</head>

<?php
//-----------------------------------------------------------------------------
// version 1   Working at Potomac CC
// version 2   PCC specific code removed, upgraded SQL & php code, misc. enhancements
// version 3.0 April, 2016, additional enhancements, tracking of IP address, MySQL table changes
//-----------------------------------------------------------------------------
include("db_connect.php");
include("set_timezone.php");
include_once("data_valid_fns.php");
$link = connectToMysqli();

//-----------------------------------------------------------------------------
// General variables etc.
//-----------------------------------------------------------------------------
$zero_date      = "0000-00-00 00:00:00";
$zero_day       = "0000-00-00";
$zero_time      = "00:00";
$daysToDisplay  = 180;  // today going forward, not from tbls because this is an ADMINISTRATIVE page
$daysToSubtract = 30;   // days of history
$task			= "";
$re_ID			= "";
$re_start		= "";
$re_description	= "";
$re_openings	= "";
$re_stdby		= "";
$re_days_to_display	= "";
$return_message	= "";
$i[0]=$i[1]=$i[2]=$i[3]=$i[4]=$i[5]=$i[6]=$i[7]=$i[8]="";


if ($currUser == '') {   // not logged in means no access
	print "<p class=pcc3>Sorry, you are not authorized (not logged in) for this function.<p>";
	print "<a href=\"login.php\">return to the login page</a>";
	print "<p><a href=\"reservations2.php\">or go back to the start page</a>";
	print "<p><a href='/'>or go back to the home page</a>";
	exit();	// go directly to jail, do not pass go, do not collect $200
	}

//-------------------------------------------------------------------------------
// validate and assign arguments
// Edits are in:  data_valid_fns.php which must be included
//-------------------------------------------------------------------------------
if (isset($_POST["what_event"])) {
	if (good_digits($_POST["what_event"])) $what_event = $_POST["what_event"];
	}
if (isset($_POST["re_ID"])) {
	if (good_digits($_POST["re_ID"])) $re_ID = $_POST["re_ID"];
	}
if (isset($_POST["re_openings"])) {
	if (good_digits($_POST["re_openings"])) $re_openings = $_POST["re_openings"];
	}
if (isset($_POST["re_stdby"])) {
	if (good_digits($_POST["re_stdby"])) $re_stdby = $_POST["re_stdby"];
	}
if (isset($_POST["re_days_to_display"])) {
	if (good_digits($_POST["re_days_to_display"])) $re_days_to_display = $_POST["re_days_to_display"];
	}
if (isset($_POST["task"])) {
	if (good_text($_POST["task"])) {
		$task = $_POST["task"];
		$task = str_replace(","," ",$task,$countStrips);
		if ($countStrips > 0) echo "<script>alert('commas deleted because of csv reports');</script>";
	}
}
if (isset($_POST["re_description"])) {
	if (good_text($_POST["re_description"])) {
		$re_description = $_POST["re_description"];
		$re_description = str_replace(","," ",$re_description,$countStrips);
		if ($countStrips > 0) echo "<script>alert('commas deleted because of csv reports');</script>";
	}
	else $re_description = "t.b.d. - had illegal characters";  // means it had bad characters - oops
}
if (isset($_POST["return_message"])) {
	if (good_datetime($_POST["re_start"])) $re_start = $_POST["re_start"];
	}
if (isset($_POST["re_start_date"])) {
	if (good_datetime($_POST["re_start_date"])) $re_start_date = $_POST["re_start_date"];
	}
if (isset($_POST["re_start_time"])) {
	if (good_datetime($_POST["re_start_time"])) $re_start_time = $_POST["re_start_time"];
	}


if (isset($what_event)) {
//-----------------------------------------------------------------------------
// Figure out the event based on re_ID
//-----------------------------------------------------------------------------
	$query1  = "SELECT * FROM reserve_events2 WHERE re_ID=$what_event";
	$result1 = mysqli_query($link,$query1);
	$number  = mysqli_num_rows($result1);
	if ($number>0) {
		$i = mysqli_fetch_row($result1);
		$re_ID              = $i[0];
		$re_description     = $i[1];
		$re_start           = $i[2];
		$re_openings 		= $i[3];
		$re_stdby			= $i[4];
		$re_days_to_display	= $i[5];
		}
	}


if ($task=='updateEvent') {
//-----------------------------------------------------------------------------
// update the record in the reserve_events table
//-----------------------------------------------------------------------------
$re_start = $re_start_date . " " . $re_start_time;
$query  = "UPDATE reserve_events2 ";
$query .= "SET re_description='$re_description', ";
$query .= "    re_start='$re_start', ";
$query .= "    re_openings='$re_openings', ";
$query .= "    re_stdby='$re_stdby', ";
$query .= "    re_days_to_display='$re_days_to_display' ";
$query .= "WHERE re_ID='$re_ID'";
$result = mysqli_query($link,$query);
	if (!$result) {
		print "oops, something seems to have gone wrong with the query updateEvent.<br>";
		print $query;
		print "<br>sql error: " . mysqli_error($link) . "<br>";
		exit(0);
		}
	}


if ($task=='addEvent') {
//-----------------------------------------------------------------------------
// add a new record to the reserve_events table
//-----------------------------------------------------------------------------
$re_start = $re_start_date . " " . $re_start_time;
$query  = "INSERT INTO reserve_events2 ";
$query .= "  (re_description, re_start, re_openings, re_stdby, re_days_to_display) " ;
$query .= "VALUES ";
$query .= "  ('$re_description', '$re_start', '$re_openings', '$re_stdby', '$re_days_to_display') ";
// $query .= "ON DUPLICATE KEY UPDATE `re_days_to_display` = $re_days_to_display ";
$result = mysqli_query($link,$query);
	if (!$result) {
		print "oops, something seems to have gone wrong with the query addEvent.<br>";
		print $query;
		print "<br>sql error: <font color='red'>" . mysqli_error($link) . "</font><br>";

		print "<table class=\"alertBox\" style=\"background-color:#ffd700;\"><tr><td style=\"text-align:center;padding:10px;\">";
		print "If you really need to add a second (or more) event to start at the same time,";
		print "<br>Then please modify the start time by adding <strong>:01</strong> to the end.";
		print "<br>for example... $re_start_time becomes $re_start_time<strong>:01</strong>";
		print "</td></tr></table>";
		print "<a href=$_SERVER[PHP_SELF]>go back and try again</a>";

		exit(0);
		}
	}
?>


<body>
<?php
include("masthead.php");

///////////////////////////////////////////////////////////////////////////////
// create a new reservation event
///////////////////////////////////////////////////////////////////////////////
include("logoutButton.php");
print "<a href=\"reservations2.php\">go to event reservation page</a><br>";

print "<p class=\"pcc3center\" style=\"margin-bottom:0\">Create a Reservation Event (Plan &quot;B&quot;)</p>";

print "<table class=\"centerWithBorder\">";
print "  <tr>";
print "    <td>Event Name</td>";
print "    <td>Start Date<br>yyyy-mm-dd</td>";
print "    <td>Start time<br>(military)</td>";
print "    <td>#<br>Openings</td>";
print "    <td>#<br>Standby</td>";
print "    <td>#days to<br>show</td>";
print "    <td> &nbsp; </td>";
print "  </tr>";
print "  <tr>";
print "  <form name=addEvent action=\"$_SERVER[PHP_SELF]\" method=\"POST\">";
         $task = "addEvent";
print "  <input type='hidden' name=task value='$task'>";
print "  <td>";
print "    <input type=text name=re_description size='40' maxlength='40'></td>";
print "    </td>";
print "  <td>";
print "    <input type=text name=re_start_date value='$zero_day' size='10' maxlength='10'></td>";
print "    </td>";
print "  <td>";
print "    <input type=text name=re_start_time value='$zero_time' size='8' maxlength='8'></td>";
print "    </td>";
print "  <td>";
print "    <input type=text name=re_openings value='0' size='2' maxlength='3'></td>";
print "    </td>";
print "  <td>";
print "    <input type=text name=re_stdby value='0' size='2' maxlength='2'></td>";
print "    </td>";
print "  <td>";
print "    <input type=text name=re_days_to_display value='10' size='3' maxlength='3'></td>";
print "    </td>";
print "  <td><input type='submit' value='Add Me'></td>";
print "  </form>";
print "  </tr>";
print "</table>";
print "<p>";


///////////////////////////////////////////////////////////////////////////////
// choose an event to update
///////////////////////////////////////////////////////////////////////////////
print "<p class=\"pcc3center\" style=\"margin-bottom:0\">Choose a reservation event if you need to modify it</p>";

print "<table class=\"centerWithBorder\"><tr><td>";
print "<form name=queryEvent action=\"$_SERVER[PHP_SELF]\" method=\"POST\">";
print "<select name=\"what_event\" size=\"5\" onchange=\"queryEvent.submit()\"> ";

$query  = "SELECT * from reserve_events2   ";
$query .= "WHERE  re_start >= DATE_SUB(CURDATE(),INTERVAL '$daysToSubtract' DAY) AND re_start <= DATE_ADD(CURDATE(),INTERVAL '$daysToDisplay' DAY)";
$query .= "ORDER BY re_start";

$result = mysqli_query($link,$query);
if (!$result) {
	print "oops, something seems to have gone wrong with the find-an-event.<br>";
	print $query;
	print "<br>sql error: " . mysqli_error($link) . "<br>";
	}

while ( $i = mysqli_fetch_row($result) ) {
	$re_ID_hold          = $i[0];
	$re_description_hold = $i[1];
	$re_start_hold       = $i[2];
	$tempDate = new DateTime($re_start_hold);
	$display_date = $tempDate->format("Y-m-d g:i a (l)");
	print "<option value='" . $re_ID_hold . "'>" . $display_date . " &nbsp; " . $re_description_hold . "</option>";
}
print "</select>";
print "</form>";
print "</td></tr></table>";



///////////////////////////////////////////////////////////////////////////////
// Update an event, either the one you just chose, or the one you just added
///////////////////////////////////////////////////////////////////////////////
print "<p class=\"pcc3center\" style=\"margin-bottom:0\">Update an existing Reservation Event</p>";

print "<table class=\"centerWithBorder\">";
print "  <tr>";
print "    <td>ID</td>";
print "    <td>Event Name</td>";
print "    <td>Start Date<br>yyyy-mm-dd</td>";
print "    <td>Start time<br>(military)</td>";
print "    <td>#<br>Openings</td>";
print "    <td>#<br>Standby</td>";
print "    <td>#days to<br>show</td>";
print "    <td> &nbsp; </td>";
print "  </tr>";
print "  <tr>";
print "  <form name=updateAnEvent action=\"$_SERVER[PHP_SELF]\" method=\"POST\">";
         $task = "updateEvent";
         $what_event= $re_ID;
print "  <input type='hidden' name=task value='$task'>";
print "  <input type='hidden' name=re_ID value='$re_ID'>";
print "  <td>$re_ID</td>";
print "  <td>";
print "    <input type=text name=re_description value='$re_description'size='40' maxlength='40'></td>";
print "    </td>";
print "  <td>";
           $start_date=(substr($re_start,0,10));
print "    <input type=text name=re_start_date value='$start_date' size='10' maxlength='10'></td>";
print "    </td>";
           $start_time=(substr($re_start,11,5));
print "  <td>";
print "    <input type=text name=re_start_time value='$start_time' size='8' maxlength='8'></td>";
print "    </td>";
print "  <td>";
print "    <input type=text name=re_openings value='$re_openings' size='2' maxlength='3'></td>";
print "    </td>";
print "  <td>";
print "    <input type=text name=re_stdby value='$re_stdby' size='2' maxlength='2'></td>";
print "    </td>";
print "  <td>";
print "    <input type=text name=re_days_to_display value='$re_days_to_display' size='3' maxlength='3'></td>";
print "    </td>";
print "  <td><input type='submit' value='Update'></td>";
print "  </form>";
print "  </tr>";
print "</table>";
print "<p>";

?>

<p> &nbsp; </p>


</body>
</html>
