<?php
session_start();
$currUser = "";
if (isset($_SESSION["currUser"])) $currUser = $_SESSION["currUser"];
?>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="author"              content="Howard Griffin">
<meta name="viewport"            content="width=device-width, initial-scale=1.0">
<link rel="stylesheet"           type="text/css"     href="hgg_style.css">
<title>Roster - csv</title>
</head>

<?php
//-----------------------------------------------------------------------------
//	it is possible to pass an event as an argument
//	e.g. .../rosterAsCsv2.php?what_event=6
//-----------------------------------------------------------------------------
include("db_connect.php");
include("set_timezone.php");
$link = connectToMysqli();
include_once("data_valid_fns.php");

//-----------------------------------------------------------------------------
// Default variables
//-----------------------------------------------------------------------------
$today          = date("m/d/Y H:i");
$today_in_db    = date("Y-m-d G:i:s");
$zero_date      = "0000-00-00 00:00:00";
$daysToDisplay  = 360;  // today going forward, usually something like 60
if ($currUser != "") $daysToDisplay  = 360;  // today going forward if logged in, usually 200
$daysToSubtract = 30;  // days of history if logged in
$return_message = "";
$member = "";
$j = $i[0]=$i[1]=$i[2]=$i[3]=$i[4]=$i[5]=$i[6]=$i[7]=$i[8]="";

//-------------------------------------------------------------------------------
// validate and assign arguments
// Edits are in:  data_valid_fns.php which must be included
//-------------------------------------------------------------------------------
if (isset($_GET["what_event"])) {
if (good_digits($_GET["what_event"])) $what_event = $_GET["what_event"];
	}

if (isset($_POST["what_event"])) {	// in case you have both post and get, post wins
	if ("" != $_POST["what_event"]) {
		if (good_digits($_POST["what_event"])) $what_event = $_POST["what_event"];
		}
	}

if (isset($what_event) AND ($what_event != "")) {
//-----------------------------------------------------------------------------
// Figure out the event based on re_ID
// $what_event is from the web form or passed as an argument.
//-----------------------------------------------------------------------------
	$query1  = "SELECT * FROM reserve_events2 WHERE re_ID=$what_event";
	$result1 = mysqli_query($link,$query1);
	$number  = mysqli_num_rows($result1);
	$i = mysqli_fetch_row($result1);
	if ($number>0) {
		$re_ID              = $i[0];
		$re_description     = $i[1];
		$re_start           = $i[2];
		$re_openings 		= $i[3];
		}
	}

print "<body>";

include("masthead.php");
include("logoutButton.php");

///////////////////////////////////////////////////////////////////////////////
// First part of the page - choose an event
///////////////////////////////////////////////////////////////////////////////
print "<p class=\"pcc3center\">";
print "Roster in .csv format (Plan &quot;B&quot;)</p>";

print "<blockquote>";
print "<p class=\"pcc3\" style=\"margin-bottom:0px;\">Choose your reservation event</p>";

print "<form name=queryEvent action=\"$_SERVER[PHP_SELF]\" method=\"POST\">";
print "<select name=\"what_event\" size=\"5\" onchange=\"queryEvent.submit()\"> ";
print "<option value=\"\"> &nbsp; </option>";	// ipad (IOS) needs a blank line, cannot select the first entry.

$query  = "SELECT * from reserve_events2   ";
$query .= "WHERE  re_start >= CURDATE() AND re_start <= DATE_ADD(CURDATE(),INTERVAL '$daysToDisplay' DAY)";
$query .= "ORDER BY re_start";

if ($currUser != "") {              // logged in gives you history
    $query  = "SELECT * from reserve_events2   ";
    $query .= "WHERE  re_start >= DATE_SUB(CURDATE(),INTERVAL '$daysToSubtract' DAY) AND re_start <= DATE_ADD(CURDATE(),INTERVAL '$daysToDisplay' DAY)";
    $query .= "ORDER BY re_start";
    }

$result = mysqli_query($link,$query);

if (!$result) {
	print "oops, something seems to have gone wrong with the find-an-event.<br>";
	print $query;
	print "<br>sql error: " . mysqli_error($link) . "<br>";
	}
while ($i = mysqli_fetch_row($result)) {
	$re_ID_hold          = $i[0];
	$re_description_hold = $i[1];
	$re_start_hold       = $i[2];
	$tempDate = new DateTime($re_start_hold);
	$display_date = $tempDate->format("Y-m-d g:i a (l)");
	print "<option value='" . $re_ID_hold . "'>" . $display_date . " &nbsp; " . $re_description_hold . "</option>";
}
// this format:  <option value="9">some text here</option>
print "</select>";
print "</form>";

if (isset($what_event) AND ($what_event != "")) {
	///////////////////////////////////////////////////////////////////////////////
	// Second part of the page - List who is registered, csv format
	///////////////////////////////////////////////////////////////////////////////
	$query  = "SELECT * from reserve_events2 where re_ID = $what_event  ";
	$result = mysqli_query($link,$query);
	$number_rows = mysqli_num_rows($result);
	if ($number_rows>0) {
		$i = mysqli_fetch_row($result);
		$re_description = $i[1];
		$re_start       = $i[2];
		$tempDate2 = new DateTime($re_start);
		$display_date = $tempDate2->format("Y-m-d g:i a (l)");
		print "<p>Copy the text below, including the header line, to Notepad or your favorite text editor<br>";
		print "Save locally as a .csv file, and double click to launch via Excel<br>";
		print "Slice and Dice to your heart's content.</p>";

		if ($currUser == "") print "<p>You must be logged in to view email addresses.</p>";

		print "<p class=\"pcc3\">$re_description $display_date </p>";

		print ("<a target=\"_blank\" href=\"signInSheet2.php?what_event=" . $what_event . "\">");
		print "<button>Print the sign-in sheet</button></a>";
		
		//-----------------------------------------------------------------------------
		// Select the information for all of the members in this event
		// if you have entries, continue
		//-----------------------------------------------------------------------------
		$query = "SELECT * FROM reserve_names2 WHERE re_ID=$re_ID ";
		$result = mysqli_query($link,$query);
		$numcurlers = mysqli_num_rows($result);
		if ($numcurlers==0) print "No registrations yet.<br>";

		//---------------------------------------------------------------------------
		// print the header row
		//---------------------------------------------------------------------------
		print "<p><strong>Name,E-mail,reserved when,cancelled when,IP address</strong><br>";

		while ($i = mysqli_fetch_row($result) ) {
			//---------------------------------------------------------------------------
			// Get information for the current reservation
			//---------------------------------------------------------------------------
			$curlerID         = $i[1];
			$rn_reserved_when = $i[2];
			$rn_cancel_when   = $i[3];
			$ip_address       = $i[4];

			//---------------------------------------------------------------------------
			// Get the names for the curler
			//---------------------------------------------------------------------------
			$query2      = "SELECT email, fname, lname, CONCAT(lname,\", \",fname) AS name FROM curlers  ";
			$query2     .= "WHERE curlerID=$curlerID";
			$result2     = mysqli_query($link,$query2);
			$j = mysqli_fetch_row($result2);
			$email       = $j[0];
			$fname       = $j[1];
			$lname       = $j[2];
			$curlerName  = $j[3];					// as "fn ln"
			$curlerName2 = "\"$lname, $fname\"";	// as "ln, fn" surrounded by quotes.

			if ($currUser == "") $email="on_file";  // not logged in implies hidden email address
			if ($member == 1 ) $member="Y";
				else $member="N";

			//---------------------------------------------------------------------------
			// Now, print a line for each registration
			//---------------------------------------------------------------------------
			print "$curlerName2,$email,$rn_reserved_when,$rn_cancel_when,$ip_address<br>";
			}

		print "</p>";

		print "<p><strong>";
		print "As of: " . $today . "</strong></p>";
		} // end of if $number_rows > 0
	} // end of if isset-$what_event

print "</blockquote>";
?>

<p> &nbsp; </p>

</body>
</html>
